## mingw-w64-libdex-0.6.0-1.src.tar.zst

=== meson_options.txt ===
option('docs',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gi-doc and gobject-introspection)')
option('examples',
       type: 'boolean', value: true,
       description: 'Build example programs')
option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data (requires vapigen)')
option('introspection',
       type: 'feature', value: 'enabled',
       description: 'Generate gir data (requires gobject-introspection)')
option('sysprof',
       type: 'boolean', value: false,
       description: 'Provide anscillary profiling information when run under Sysprof')
option('tests',
       type: 'boolean', value: true,
       description: 'Build and enable tests')
option('liburing',
       type: 'feature', value: 'auto',
       description: 'Allow use of liburing (io_uring)')
option('eventfd',
       type: 'feature', value: 'auto',
       description: 'Allow use of eventfd')

=== PKGBUILD ===
# Maintainer: Tao zuhong <taozuhong@qq.com>

_realname=libdex
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=0.6.0
pkgrel=1
pkgdesc="A shared library for deferred execution (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64' 'clang32')
msys2_references=(
  'archlinux: libdex'
)
msys2_documentation_url='https://gnome.pages.gitlab.gnome.org/libdex/libdex-1/'
url='https://gitlab.gnome.org/GNOME/libdex'
license=('spdx:LGPL-2.1-or-later')
depends=("${MINGW_PACKAGE_PREFIX}-glib2")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-gi-docgen"
             "${MINGW_PACKAGE_PREFIX}-gobject-introspection"
             "${MINGW_PACKAGE_PREFIX}-meson"
             "${MINGW_PACKAGE_PREFIX}-pkgconf"
             "${MINGW_PACKAGE_PREFIX}-vala")
source=("https://download.gnome.org/sources/libdex/${pkgver:0:3}/libdex-${pkgver}.tar.xz")
sha256sums=('1e88d2b00628e586b723b7fba515cce9752faf12122cde5a3c0d5b883998522a')

build() {
  MSYS2_ARG_CONV_EXCL="--prefix=" \
  ${MINGW_PREFIX}/bin/meson.exe setup \
    --prefix="${MINGW_PREFIX}" \
    --wrap-mode=nodownload \
    --auto-features=enabled \
    --buildtype=plain \
    -Deventfd=disabled \
    "build-${MSYSTEM}" \
    "${_realname}-${pkgver}"

  ${MINGW_PREFIX}/bin/meson.exe compile -C "build-${MSYSTEM}"
}

package() {
  meson install -C "build-${MSYSTEM}" --destdir "${pkgdir}"
  install -Dm644 "${srcdir}/${_realname}-${pkgver}/COPYING" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/COPYING"
}
